1. rockerjockey's Avatar
    If apps that I have bought for my storm aren't compatible for the tour, will I have to re-purchase them?

    Posted from my CrackBerry at wapforums.crackberry.com
    07-14-09 08:31 PM
  2. thebeags's Avatar
    In my experience, when switching from the Storm to the Bold, most items I had to repurchase. Sucked too.
    07-14-09 08:34 PM
  3. LaTuFu's Avatar
    Most of them should be compatible. In the event you have an app that is license specific to a device (Beejive for example) most of the app companies have a process that allows you to transfer to a new device.

    Posted from my CrackBerry at wapforums.crackberry.com
    07-14-09 08:34 PM
  4. rockerjockey's Avatar
    Ya, im really hoping that i wont have to re-puchase some like bbweather, berry popup, etc... obviously the Storm specific apps i will have to but i was just curious
    07-15-09 01:31 AM
LINK TO POST COPIED TO CLIPBOARD